Remote builds and lua modules

Does remote builds support downloading modules from luarocks?

I get this error during compile

Warning: Failed searching manifest: Failed fetching manifest for https://raw.githubusercontent.com/rocks-moonscript-org/moonrocks-mirror/master/ - Failed downloading https://raw.githubusercontent.com/rocks-moonscript-org/moonrocks-mirror/master/manifest-5.1 -

I don’t see why it wouldn’t. Could you provide an example?

Here is an example log file
https://paste.ubuntu.com/p/Tz6FDvxfGB/

Issue starts at line 2584

Warning: Failed searching manifest: Failed fetching manifest for https://luarocks.org - Failed downloading https://luarocks.org/manifest-5.1 - /var/cache/luarocks/https___luarocks.org/manifest-5.1
Warning: Failed searching manifest: Failed fetching manifest for https://raw.githubusercontent.com/rocks-moonscript-org/moonrocks-mirror/master/ - Failed downloading https://raw.githubusercontent.com/rocks-moonscript-org/moonrocks-mirror/master/manifest-5.1 - /var/cache/luarocks/https___raw.githubusercontent.com_rocks-moonscript-org_moonrocks-mirror_master_/manifest-5.1
Warning: Failed searching manifest: Failed fetching manifest for http://luafr.org/moonrocks/ - Failed downloading http://luafr.org/moonrocks/manifest-5.1 - /var/cache/luarocks/http___luafr.org_moonrocks_/manifest-5.1
Warning: Failed searching manifest: Failed fetching manifest for http://luarocks.logiceditor.com/rocks - Failed downloading http://luarocks.logiceditor.com/rocks/manifest-5.1 - /var/cache/luarocks/http___luarocks.logiceditor.com_rocks/manifest-5.1

Error: Could not find a result named mpack 1.0.8-0: No results matching query were found for Lua 5.1.